
%error = ForceRequiredAddOn("Vehicle_Tank");
if(%error == $Error::AddOn_Disabled)
{
   TankVehicle.uiName = "";
}
else if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Vehicle_GreatWarPlanes - required add-on Vehicle_Tank not found");
   return;
}

%error = ForceRequiredAddOn("Weapon_Gun");
if(%error == $Error::AddOn_Disabled)
{
   GunItem.uiName = "";
}
else if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Vehicle_GreatWarPlanes - required add-on Weapon_Gun not found");
   return;
}

%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_GreatWarPlanes - required add-on Vehicle_Jeep not found");
}
else
{ 
exec("./Script_Exhaust.cs");
exec("./Script_TireSpring.cs");
exec("./Support_RaycastingWeapons.cs");
exec("./Vehicle_Fokker.cs");
exec("./Vehicle_Albatros.cs");
exec("./Vehicle_SopwithPup.cs");
exec("./Vehicle_SE5a.cs");

}