
datablock ParticleData(TwinExhaustAParticle)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = 0.2;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 350;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.4 0.4 0.4 0.15";
   colors[1]     = "0.9 0.9 0.9 0.1";
   colors[2]     = "0.9 0.9 0.9 0";

   sizes[0]      = 0.5;
   sizes[1]      = 1.2;
   sizes[2]	 = 3;
	times[0]	= 0.0;
	times[1]	= 0.3;
	times[2]	= 1;

useInvAlpha = true;
};




datablock ParticleEmitterData(TwinExhaustAEmitter)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -30;
   velocityVariance = 1.5;
   ejectionOffset   = 0.3;
   thetaMin         = 0;
   thetaMax         = 7;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TwinExhaustAParticle";
};

datablock ParticleData(TwinExhaustBParticle)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = 0.2;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 350;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.4 0.4 0.4 0.15";
   colors[1]     = "0.9 0.9 0.9 0.1";
   colors[2]     = "0.9 0.9 0.9 0";

   sizes[0]      = 0.5;
   sizes[1]      = 1.2;
   sizes[2]	 = 3;
	times[0]	= 0.0;
	times[1]	= 0.3;
	times[2]	= 1;

useInvAlpha = true;
};




datablock ParticleEmitterData(TwinExhaustBEmitter)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -30;
   velocityVariance = 1.5;
   ejectionOffset   = 0.3;
   thetaMin         = 0;
   thetaMax         = 7;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TwinExhaustBParticle";
};

datablock ShapeBaseImageData(TwinExhaustAImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "1 0 0 0";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 10000;
	stateEmitter[1]					= TwinExhaustAEmitter;
	stateEmitterTime[1]				= 10000;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function TwinExhaustAImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}





datablock ShapeBaseImageData(TwinExhaustBImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 4;
   rotation = "1 0 0 0";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 10000;
	stateEmitter[1]					= TwinExhaustBEmitter;
	stateEmitterTime[1]				= 10000;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function TwinExhaustBImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}



datablock ParticleData(FokkerDVIIExhaustParticle)
{
   dragCoefficient      = 1;
   windCoefficient     = 3;
   gravityCoefficient   = 0.2;
   inheritedVelFactor   = -0.5;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 350;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.4 0.4 0.4 0.15";
   colors[1]     = "0.9 0.9 0.9 0.1";
   colors[2]     = "0.9 0.9 0.9 0";

   sizes[0]      = 0.5;
   sizes[1]      = 2.0;
   sizes[2]	 = 5;
	times[0]	= 0.0;
	times[1]	= 0.3;
	times[2]	= 1;

useInvAlpha = true;
};

datablock ParticleEmitterData(FokkerDVIIExhaustEmitter)
{
   ejectionPeriodMS = 12;
   periodVarianceMS = 2;
   ejectionVelocity = -30;
   velocityVariance = 1.5;
   ejectionOffset   = 0.3;
   thetaMin         = 0;
   thetaMax         = 7;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "FokkerDVIIExhaustParticle";
};


datablock ShapeBaseImageData(FokkerDVIIExhaustImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "1 0 0 0";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 10000;
	stateEmitter[1]					= FokkerDVIIExhaustEmitter;
	stateEmitterTime[1]				= 10000;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function FokkerDVIIExhaustImage1::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}

package FokkerDVIIExhaust
{
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);
		if (!isObject(%col)) return;

		if (%col.getDatablock().getName() $= "FokkerDVIIVehicle")
		{
			%col.unMountImage(0);
         %col.PlayThread(0,propstill);
         %obj.playAudio(0, FokkerEngineOffSound);
		}
	}
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);

		if (%col.getDatablock().getName() $= "FokkerDVIIVehicle")
		{
			%col.mountImage(FokkerDVIIExhaustImage1,0);
        		%col.playThread(0, propslow);
        		%obj.playThread(0, propslow);
         		%obj.playAudio(0, FokkerDVIIIdleSound);
		}
	}
};

activatePackage(FokkerDVIIExhaust);



package AlbatrosDIIIExhaust
{
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);
		if (!isObject(%col)) return;

		if (%col.getDatablock().getName() $= "AlbatrosDIIIVehicle")
		{
			%col.unMountImage(0);
         %col.PlayThread(0,propstill);
         %obj.playAudio(0, AlbatrosEngineOffSound);
		}
	}
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);

		if (%col.getDatablock().getName() $= "AlbatrosDIIIVehicle")
		{
			%col.mountImage(FokkerDVIIExhaustImage1,0);
        		%col.playThread(0, propslow);
        		%obj.playThread(0, propslow);
         		%obj.playAudio(0, AlbatrosIdleSound);
		}
	}
};

activatePackage(AlbatrosDIIIExhaust);



package SopwithPupExhaust
{
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);
		if (!isObject(%col)) return;

		if (%col.getDatablock().getName() $= "SopwithPupVehicle")
		{
			%col.unMountImage(0);
			%col.unMountImage(1);
         %col.PlayThread(0,propstill);
         %obj.playAudio(0, SopwithPupEngineOffSound);
		}
	}
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);

		if (%col.getDatablock().getName() $= "SopwithPupVehicle")
		{
			%col.mountImage(FokkerDVIIExhaustImage1,0);
        		%col.playThread(0, propslow);
        		%obj.playThread(0, propslow);
         		%obj.playAudio(0, SopwithPupIdleSound);
		}
	}
};

activatePackage(SopwithPupExhaust);



package SE5aExhaust
{
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);
		if (!isObject(%col)) return;

		if (%col.getDatablock().getName() $= "SE5aVehicle")
		{
			%col.unMountImage(0);
			%col.unMountImage(1);
         %col.PlayThread(0,propstill);
         %obj.playAudio(0, SE5aEngineOffSound);
		}
	}
	function armor::onMount(%this, %obj, %col, %slot)
	{
		Parent::onMount(%this, %obj, %col, %slot);

		if (%col.getDatablock().getName() $= "SE5aVehicle")
		{
			%col.mountImage(TwinExhaustAImage,0);
			%col.mountImage(TwinExhaustBImage,1);
        		%col.playThread(0, propslow);
        		%obj.playThread(0, propslow);
         		%obj.playAudio(0, SE5aIdleSound);
		}
	}
};

activatePackage(SE5aExhaust);





